//! Various implementations of [`crate::ShipBehavior`]

mod null;
//mod point;

pub use null::*;
//pub use point::Point;

use crate::{objects::ShipControls, StepResources};

/// Main behavior trait. Any struct that implements this
/// may be used to control a ship.
pub trait ShipBehavior {
	/// Update a ship's controls based on world state.
	/// This method does not return anything, it modifies
	/// the ship's controls in-place.
	fn update_controls(&mut self, res: &StepResources) -> ShipControls;
}
